#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-mock
Version		:	5.0.2
Release		:	14.4.0.0%{?dist}
Summary		:	Mocking and Patching Library for Testing
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT and (ASL 2.0 or BSD)
URL		:	https://github.com/testing-cabal/mock

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
mock is a library for testing in Python.
It allows you to replace parts of your system under
test with mock objects and make assertions about
how they have been used.

mock is now part of the Python standard library,
available as unittest.mock in Python 3.3 onwards.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
#pytest -vvvvv
%{__python}						\
	-m unittest					\
	discover
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
